CentOS 8:virt: rhelおよびvirt-devel: rhel (CESA-2022: 7472)

medium Nessus プラグイン ID 167183

概要

リモートの CentOS ホストに 1 つ以上のセキュリティ更新プログラムが欠落しています。

説明

リモートの CentOS Linux 8 ホストにインストールされているパッケージは、CESA-2022: 7472 のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- QEMU: fdc:DMA 読み取りデータ転送におけるヒープバッファオーバーフロー (CVE-2021-3507)

- libvirt:nwfilterConnectNumOfNWFilters にロックがないため、サービス拒否を引き起こす可能性があります (CVE-2022-0897)

- libguestfs: get_keys のバッファオーバーフローにより DoS が引き起こされます (CVE-2022-2211)

- swtpm: 予期されたサイズに対してチェックされていないヘッダーサイズインジケーター (CVE-2022-23645)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://access.redhat.com/errata/RHSA-2022:7472

プラグインの詳細

深刻度: Medium

ID: 167183

ファイル名: centos8_RHSA-2022-7472.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2022/11/9

更新日: 2022/11/9

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

リスク情報

VPR

リスクファクター: Medium

スコア: 5

CVSS v2

リスクファクター: Low

Base Score: 3.6

Temporal Score: 2.7

ベクトル: AV:L/AC:L/Au:N/C:P/I:N/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2021-3507

CVSS v3

リスクファクター: Medium

Base Score: 6.1

Temporal Score: 5.3

ベクトル: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:L

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:centos:centos:8-stream, p-cpe:/a:centos:centos:libguestfs, p-cpe:/a:centos:centos:libguestfs-appliance, p-cpe:/a:centos:centos:libguestfs-bash-completion, p-cpe:/a:centos:centos:libguestfs-devel, p-cpe:/a:centos:centos:libguestfs-gfs2, p-cpe:/a:centos:centos:libguestfs-gobject, p-cpe:/a:centos:centos:libguestfs-gobject-devel, p-cpe:/a:centos:centos:libguestfs-inspect-icons, p-cpe:/a:centos:centos:libguestfs-java, p-cpe:/a:centos:centos:libguestfs-java-devel, p-cpe:/a:centos:centos:libguestfs-javadoc, p-cpe:/a:centos:centos:libguestfs-man-pages-ja, p-cpe:/a:centos:centos:libguestfs-man-pages-uk, p-cpe:/a:centos:centos:libguestfs-rescue, p-cpe:/a:centos:centos:libguestfs-rsync, p-cpe:/a:centos:centos:libguestfs-tools, p-cpe:/a:centos:centos:libguestfs-tools-c, p-cpe:/a:centos:centos:libguestfs-xfs, p-cpe:/a:centos:centos:libnbd, p-cpe:/a:centos:centos:libnbd-bash-completion, p-cpe:/a:centos:centos:libnbd-devel, p-cpe:/a:centos:centos:libtpms, p-cpe:/a:centos:centos:libtpms-devel, p-cpe:/a:centos:centos:libvirt, p-cpe:/a:centos:centos:libvirt-client, p-cpe:/a:centos:centos:libvirt-daemon, p-cpe:/a:centos:centos:libvirt-daemon-config-network, p-cpe:/a:centos:centos:libvirt-daemon-config-nwfilter, p-cpe:/a:centos:centos:libvirt-daemon-driver-interface, p-cpe:/a:centos:centos:libvirt-daemon-driver-network, p-cpe:/a:centos:centos:libvirt-daemon-driver-nodedev, p-cpe:/a:centos:centos:libvirt-daemon-driver-nwfilter, p-cpe:/a:centos:centos:libvirt-daemon-driver-qemu, p-cpe:/a:centos:centos:libvirt-daemon-driver-secret, p-cpe:/a:centos:centos:libvirt-daemon-driver-storage, p-cpe:/a:centos:centos:libvirt-daemon-driver-storage-core, p-cpe:/a:centos:centos:libvirt-daemon-driver-storage-disk, p-cpe:/a:centos:centos:libvirt-daemon-driver-storage-gluster, p-cpe:/a:centos:centos:libvirt-daemon-driver-storage-iscsi, p-cpe:/a:centos:centos:libvirt-daemon-driver-storage-iscsi-direct, p-cpe:/a:centos:centos:libvirt-daemon-driver-storage-logical, p-cpe:/a:centos:centos:libvirt-daemon-driver-storage-mpath, p-cpe:/a:centos:centos:libvirt-daemon-driver-storage-rbd, p-cpe:/a:centos:centos:libvirt-daemon-driver-storage-scsi, p-cpe:/a:centos:centos:libvirt-daemon-kvm, p-cpe:/a:centos:centos:libvirt-devel, p-cpe:/a:centos:centos:libvirt-docs, p-cpe:/a:centos:centos:libvirt-libs, p-cpe:/a:centos:centos:libvirt-lock-sanlock, p-cpe:/a:centos:centos:libvirt-nss, p-cpe:/a:centos:centos:libvirt-wireshark, p-cpe:/a:centos:centos:lua-guestfs, p-cpe:/a:centos:centos:nbdfuse, p-cpe:/a:centos:centos:ocaml-libguestfs, p-cpe:/a:centos:centos:ocaml-libguestfs-devel, p-cpe:/a:centos:centos:ocaml-libnbd, p-cpe:/a:centos:centos:ocaml-libnbd-devel, p-cpe:/a:centos:centos:perl-Sys-Guestfs, p-cpe:/a:centos:centos:python3-libguestfs, p-cpe:/a:centos:centos:python3-libnbd, p-cpe:/a:centos:centos:python3-libvirt, p-cpe:/a:centos:centos:ruby-libguestfs, p-cpe:/a:centos:centos:seabios, p-cpe:/a:centos:centos:seabios-bin, p-cpe:/a:centos:centos:seavgabios-bin, p-cpe:/a:centos:centos:supermin, p-cpe:/a:centos:centos:supermin-devel, p-cpe:/a:centos:centos:swtpm, p-cpe:/a:centos:centos:swtpm-devel, p-cpe:/a:centos:centos:swtpm-libs, p-cpe:/a:centos:centos:swtpm-tools, p-cpe:/a:centos:centos:swtpm-tools-pkcs11, p-cpe:/a:centos:centos:virt-dib, p-cpe:/a:centos:centos:virt-v2v, p-cpe:/a:centos:centos:virt-v2v-bash-completion, p-cpe:/a:centos:centos:virt-v2v-man-pages-ja, p-cpe:/a:centos:centos:virt-v2v-man-pages-uk

必要な KB アイテム: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/11/8

脆弱性公開日: 2021/5/6

参照情報

CVE: CVE-2021-3507, CVE-2022-0897, CVE-2022-2211, CVE-2022-23645

RHSA: 2022:7472